#!/bin/sh
# Makefile for PyAuthD and friends.

gcc -Wall -fPIC -DPIC -c -O2 -I. -Iinclude -o PyAuthD_client.o src/PyAuthD_client.c
gcc -Wall -fPIC -DPIC -c -O2 -I. -Iinclude -o PyAuthD_PAM.o src/PyAuthD_PAM.c
ld --shared -lpam -o pam_PyAuthD.so PyAuthD_PAM.o PyAuthD_client.o

gcc -Wall -fPIC -DPIC -c -O2 -I. -Iinclude -o PyAuthD_NSS_passwd.o src/PyAuthD_NSS_passwd.c
gcc -Wall -fPIC -DPIC -c -O2 -I. -Iinclude -o PyAuthD_NSS_shadow.o src/PyAuthD_NSS_shadow.c
gcc -Wall -fPIC -DPIC -c -O2 -I. -Iinclude -o PyAuthD_NSS_group.o src/PyAuthD_NSS_group.c
ld --shared -soname libnss_PyAuthD.so.2 -o libnss_PyAuthD.so.2 PyAuthD_NSS_passwd.o PyAuthD_NSS_shadow.o PyAuthD_NSS_group.o PyAuthD_client.o

gcc -Wall -fPIC -DPIC -c -O2 -I. -Iinclude -o PyAuthD_PPP.o src/PyAuthD_PPP.c
ld --shared -o ppp_PyAuthD.so PyAuthD_PPP.o PyAuthD_client.o
