# -*- coding: iso-8859-15 -*-
"""NSS_constants.py

File which contains all constants necessary for the NSS binding. These
constants are fixed. They come from nss.h, and don't have to be updated.

Copyright (C) 2005, Heiko Wundram.
Released under a BSD-style license, see LICENSE for details.
"""

# Versioning.
__author__ = "$LastChangedBy: modelnine $"
__version__ = "$LastChangedRevision: 68 $"
__date__ = "$LastChangedDate: 2005-10-23 15:50:02 +0200 (nie, 23 paź 2005) $"

# Return codes of NSS.
TRYAGAIN = -2
UNAVAIL = -1
NOTFOUND = 0
SUCCESS = 1
