# -*- coding: iso-8859-15 -*-
"""config.sample.py

Configuration items for the package. This file isn't stored in subversion, as
it contains sensitive data for the current installation.

The file you're seeing is just a sample file. This file contains no sensible
information for the installed vmail system, adjust to your taste.

Copyright (C) 2005, Heiko Wundram.
Released under a BSD-style license, see LICENSE for details.
"""

# Versioning.
__author__ = "$LastChangedBy: modelnine $"
__version__ = "$LastChangedRevision: 125 $"
__date__ = "$LastChangedDate: 2005-10-29 15:31:42 +0200 (sob, 29 paź 2005) $"

# Server settings.
SOCK_PATH = "/var/run/pyauthd/pyauthd.sock"
RUN_PATH = "/var/run/pyauthd/pyauthd.run"

# Database access.
DB_USER = "user" # Database user.
DB_PASS = "passwd" # Database password.
DB_DB = "db" # Database access.

# Virtual mail information.
VMAIL_UID = 5000 # Virtual mail user.
VMAIL_GID = 1000 # Virtual mail group.
VMAIL_HOME = "/home/vmail" # Virtual mail user home dir.
VMAIL_DOMAIN = "stud.mh-hannover.de" # Virtual mail domain.

# Initialization mail sent to users when their data is accessed first.
initmail = """From: admin@asta.mh-hannover.de
To: %s@stud.mh-hannover.de
Subject: Willkommen beim Studentischen Mailserver!

Hallo auf dem studentischen Mailserver!

Dies ist Deine erste Mail, und wir wollen hier kurz einige Informationen
zur Benutzung des Mailservers geben.

Viel Spass!

Der Internet-Referent des AStA und
die Internet-AG"""
